bluetoothctl-endpoint(1)

Name
bluetoothctl-endpoint - Endpoint Submenu

SYNOPSIS

bluetoothctl [--options] [endpoint.commands]

Endpoint Commands

  list

List available endpoints.

    Usage
        > list [local]

  show

Endpoint information.

    Usage
        > show [endpoint]

  register

Register Endpoint.

    Usage
        > register <UUID> <codec[:company]> [capabilities...]

    Example LC3 BAP source
        >endpoint.register 00002bcb-0000-1000-8000-00805f9b34fb 0x06
        >Auto Accept (yes/no): y
        >Max Transports (auto/value): a
        >Locations: a
        >Supported Context (value): 3
        >Context (value): 3
        >CIG (auto/value): a
        >CIS (auto/value): a

    Example LC3 BAP sink with extra capabilities
        >endpoint.register 00002bc9-0000-1000-8000-00805f9b34fb 0x06 "0x03 0xe5 0x03 0x00 0x02 0xe6 0x07"
        >Enter Metadata (value/no): n
        >Auto Accept (yes/no): y
        >Max Transports (auto/value): a
        >Locations: a
        >Supported Context (value): 3
        >Context (value): 3
        >CIG (auto/value): a
        >CIS (auto/value): a

    Example LC3 BAP Broadcast source
        >endpoint.register 00001852-0000-1000-8000-00805f9b34fb 0x06
        >Auto Accept (yes/no): y
        >Max Transports (auto/value): a
        >Locations: 3
        >Supported Context (value): 1

    Example LC3 BAP Broadcast sink
        >endpoint.register 00001851-0000-1000-8000-00805f9b34fb 0x06
        >Auto Accept (yes/no): y
        >Max Transports (auto/value): a
        >Locations: 3
        >Supported Context (value): 1

Note:

If running the setup with an audio server that has LE Audio support (such as PipeWire) it will automatically register endpoints according to the configured roles. For more details about configuring a Broadcast Source with PipeWire check: <https://gitlab.freedesktop.org/pipewire/pipewire/-/blob/master/doc/dox/config/pipewire-props.7.md>

  unregister

Unregister Endpoint.

    Usage
        > unregister <UUID/object>

Note:

If the endpoint was registered by an audio server, it can't be unregistered from bluetoothctl. This must be done by the audio server as well.

  config

Configure Endpoint.

    Usage
        > config <endpoint> <local endpoint> [preset]

Note:

If the endpoint was registered by an audio server, it can't be configured from bluetoothctl. This must be done by the audio server as well.

  presets

List available presets.

    Usage
        > presets <endpoint>/<UUID> [codec[:company]] [preset] [codec config] [metadata]

    Example using endpoint
        >presets /local/endpoint/ep0 32_1_1
        >presets /local/endpoint/ep0
        Preset 32_1_1
        Configuration.**>0: len 0x02 type 0x01
        Configuration.Sampling Frequency: 32 Khz (0x06)
        Configuration.**>1: len 0x02 type 0x02
        Configuration.Frame Duration: 7.5 ms (0x00)
        Configuration.**>2: len 0x03 type 0x04
        Configuration.Frame Length: 60 (0x003c)

    Example using UUID
        >presets 00002bc9-0000-1000-8000-00805f9b34fb 0x06 32_1_1
        >presets 00002bc9-0000-1000-8000-00805f9b34fb 0x06
        ...
        *32_1_1

    Example setting up LC3 custom preset
        >presets 00002bc9-0000-1000-8000-00805f9b34fb 0x06 custom
        >[Codec] Enter frequency (Khz): 48
        >[Codec] Enter frame duration (ms): 10
        >[Codec] Enter channel allocation: 3
        >[Codec] Enter frame length: 100
        >[QoS] Enter Target Latency (Low, Balance, High): Low
        >[QoS] Enter SDU Interval (us): 1000
        >[QoS] Enter Framing (Unframed, Framed): Unframed
        >[QoS] Enter PHY (1M, 2M): 2M
        >[QoS] Enter Max SDU: 200
        >[QoS] Enter RTN: 3
        >[QoS] Enter Max Transport Latency (ms): 10
        >[QoS] Enter Presentation Delay (us): 20000
        >presets 00002bc9-0000-1000-8000-00805f9b34fb 0x06
        ...
        *custom

    Example setting up LC3 custom preset with extra configuration
        >presets 00002bc9-0000-1000-8000-00805f9b34fb 0x06 custom "0x03 0xe8 0x00 0x00 0x02 0xe9 0x00"
        >[Codec] Enter frequency (Khz): 48
        >[Codec] Enter frame duration (ms): 10
        >[Codec] Enter channel allocation: 3
        >[Codec] Enter frame length: 100
        >[QoS] Enter Target Latency (Low, Balance, High): Low
        >[QoS] Enter SDU Interval (us): 1000
        >[QoS] Enter Framing (Unframed, Framed): Unframed
        >[QoS] Enter PHY (1M, 2M): 2M
        >[QoS] Enter Max SDU: 200
        >[QoS] Enter RTN: 3
        >[QoS] Enter Max Transport Latency (ms): 10
        >[QoS] Enter Presentation Delay (us): 20000
        >presets 00002bc9-0000-1000-8000-00805f9b34fb 0x06
        ...
        *custom

RESOURCES

<http://www.bluez.org>

REPORTING BUGS

<linux-bluetooth@vger.kernel.org>

Copyright
Free use of this software is granted under the terms of the GNU Lesser General Public Licenses (LGPL).